Page Summary
-
Access agent performance data, with each result showing metrics for a specific agent in a specific country.
-
A GET request to
https://businesscommunications.googleapis.com/v1/analytics/agentPerformancesis used to retrieve the data. -
Optional query parameters
pageSizeandpageTokencan be used for pagination, and the request body must be empty. -
The response contains a list of
AgentPerformanceobjects and an optionalnextPageToken. -
Each
AgentPerformanceobject includes details like agent name, display name, country code, use case, reputation, traffic limit, and the end time of the metrics period.
Lists agent performance data accessible to the caller.
Each result represents the performance metrics for a specific agent in a specific country. If an agent has insufficient data for a given country, no performance record for that agent-country pair is returned.
HTTP request
GET https://businesscommunications.googleapis.com/v1/analytics/agentPerformances
The URL uses gRPC Transcoding syntax.
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. Specify the maximum number of results to be returned by the server. The server may further constrain the maximum number of results returned in a single page. If the pageSize is 0, the server will decide the number of results to be returned. The maximum pageSize is 1000. |
pageToken |
Optional. The nextPageToken value returned from a previous List request, if any. |
Request body
The request body must be empty.
Response body
Returns a list of agent performances.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"agentPerformances": [
{
object ( |
| Fields | |
|---|---|
agentPerformances[] |
List of agent performances. |
nextPageToken |
Optional. The pagination token to retrieve the next page of results. If the value is "", it means no further results for the request. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/businesscommunications
For more information, see the OAuth 2.0 Overview.
AgentPerformance
Performance metrics for an agent in a country.
| JSON representation |
|---|
{ "name": string, "displayName": string, "countryCode": string, "agentUseCase": enum ( |
| Fields | |
|---|---|
name |
The unique identifier of the agent. Defined by the platform. |
displayName |
Required. The name that the agent displays to users. Maximum 40 characters. Not modifiable after agent verification. |
countryCode |
The country dimension for the given performance metrics. Given as an ISO 3166 Alpha-2 country code. For example, "US" for the United States of America. |
agentUseCase |
The agent's use case |
reputation |
Reputation of the agent in the given country. |
trafficLimit |
Traffic limit for the agent (messages per user per month) in the given country. If the agent is not subject to traffic limits, the value will not be set. |
metricsPeriodEndTime |
The timestamp representing the end of the period for which metrics were calculated. Metrics, including reputation, are calculated based on data up to this timestamp. This timestamp is the most recent midnight Pacific Time (PT). Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
Reputation
The agent's reputation in the given country.
| Enums | |
|---|---|
REPUTATION_UNSPECIFIED |
Unspecified reputation. |
LOW |
Low reputation. |
MEDIUM |
Medium reputation. This is the default reputation. |
HIGH |
High reputation. |